/**********************************************************************************************/
/* FBL_Globals.h																			  */
/*                                                                       					  */
/* Foundation Base Library ( FBL )		                                   					  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002                                        					  */
/* All Rights Reserved.                                                 					  */
/**********************************************************************************************/

#ifndef __FBL_Globals_h
	#define __FBL_Globals_h

#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/FBL.h>
#else
#	include <FBL.h>
#endif // VSDK_FRAMEWORK_STYLE


/**********************************************************************************************/
FBL_EXP extern const ulong gFBL_KernelVersionMajor;
FBL_EXP extern const ulong gFBL_KernelVersionMinor;
FBL_EXP extern const ulong gFBL_KernelVersionRevision;
FBL_EXP extern const ulong gFBL_KernelVersionMinorAndRevision;

// See <MacTypes.h> for definitions of Stage
FBL_EXP extern const ulong gFBL_KernelVersionStage;
FBL_EXP extern const ulong gFBL_KernelVersionInternalRelease;
FBL_EXP extern const char* gFBL_KernelVersionString;

FBL_EXP extern const ulong gFBL_KernelVersion;


/**********************************************************************************************/
#ifdef FBL_MAC

// Global constants which you can change to have own Creator and File types.
FBL_EXP extern OSType gFBL_Signature;				// on default 'VALA'  	
FBL_EXP extern OSType gFBL_Description;				// on default 'Vdsc'  	
FBL_EXP extern OSType gFBL_MainDataFile;			// on default 'Vdat'	
FBL_EXP extern OSType gFBL_BlobsDataFile;			// on default 'Vblb'	
FBL_EXP extern OSType gFBL_TmpDataFile;				// on default 'Vtmp'	

FBL_EXP extern uchar gFBL_DescriptionExtStr[32];	// on default "\p.vdb"
FBL_EXP extern uchar gFBL_MainDataFileExtStr[32];	// on default "\p.dat"
FBL_EXP extern uchar gFBL_TmpDataFileExtStr[32];	// on default "\p.ind"
FBL_EXP extern uchar gFBL_BlobsDataFileExtStr[32];	// on default "\p.blb"
	
#endif // FBL_MAC


	// C-strings (zero end) of extensions.
FBL_EXP extern char gFBL_DescriptionExt[32];		// on default ".vdb"
FBL_EXP extern char gFBL_MainDataFileExt[32];		// on default ".dat"
FBL_EXP extern char gFBL_TmpDataFileExt[32];		// on default ".ind"
FBL_EXP extern char gFBL_BlobsDataFileExt[32];		// on default ".blb"


/**********************************************************************************************/
extern bool gFBL_OsXHere;


/**********************************************************************************************/
// This flag on default it TRUE.
// If you set it to FALSE then Valentina will not translate string encodings in 
// BF_String::ReadValue() and WriteValue() methods.
//
FBL_EXP extern bool gAllowTranslateStrings;


/**********************************************************************************************/
FBL_EXP void FBL_SetExtentions( 
	const char* inDescExt,
	const char* inDatExt,
	const char* inTmpExt,
	const char* inBlobExt );



/**********************************************************************************************/
#endif	// __FBL_Globals_h


